/*
 * BlinkenApplet
 * *************
 * 
 * Main Author: Manuel Flther
 * License: GNU General Public License
 * File: Starting Applet Class: BlinkenlightsMovieReader.java
 * Version: 0.1
 * Co-Author: -
 * Creation TimeDate: 2004_06_26 - 22:28
 * Last Edit TimeDate: 2004_06_27 - 10:41
 * 
 */
 
package BLFileIO;

import java.io.*;
import java.util.*;
import BLToolkit.*; 

public class BlinkenlightsMovieReader {

String moviefilename;
BufferedReader moviefile;
Collection Frames;
Collection FramesDelay;


public BlinkenlightsMovieReader(String filename){
	moviefilename = filename;
	Frames = new LinkedList();
	FramesDelay = new LinkedList();
}

public boolean OpenMovie(){
	boolean ret=true;
	
	//Datei vorhanden?
	try
	{
		moviefile = new BufferedReader(	new InputStreamReader(
									new FileInputStream(moviefilename)));
	}
	catch(FileNotFoundException e){
		ret=false;
	}

	//Header lesen
	String Header;
	try{
		Header = moviefile.readLine();
		if(Header.equals("BlinkenLights Movie"))
			ret = true;
	}catch(IOException e){}
	
	
	
	return ret;
}

public int LoadMovieToMemory(){
	
	String zeile;
	
	try{
		zeile = moviefile.readLine();
		while(zeile != null)
		{
			zeile = moviefile.readLine();
			System.out.println(zeile);
			if(!zeile.startsWith("#",1))
			{
				if(zeile.startsWith("@",1))
				{
					String delayword;
					delayword = zeile.substring(1,zeile.length());
					//FramesDelay.add(delayword.);
				}
				//Wenn Zeile mit einer Nummer startet (Graustufen!!)
				if(
					zeile.startsWith("9",1)||
					zeile.startsWith("8",1)||
					zeile.startsWith("7",1)||
					zeile.startsWith("6",1)||
					zeile.startsWith("5",1)||
					zeile.startsWith("4",1)||
					zeile.startsWith("3",1)||
					zeile.startsWith("2",1)||
					zeile.startsWith("1",1)||
					zeile.startsWith("0",1))
				{
					BlinkenFrame frame;
				}
			}
		}
	}catch(IOException e){}

	return 0;
}


}
