/*
 * BlinkenApplet
 * *************
 * 
 * Main Author: Manuel Flther
 * License: GNU General Public License
 * File: Starting Applet Class: BlinkFrame.java
 * Version: 0.1
 * Co-Author: -
 * Creation TimeDate: 2004_06_19 - 22:36
 * Last Edit TimeDate: 2004_06_22 - 16:41
 * 
 */
 
package BLToolkit;
 
public class BlinkenFrame {

int frameBuffer[];
int sizeX;
int sizeY;

public BlinkenFrame(int sizeX, int sizeY){
	
	this.sizeX=sizeX;
	this.sizeY=sizeY;
	
	frameBuffer = new int[sizeX * sizeY];
	
}

public void SetPixel(int X, int Y, int value){

	if((X<sizeX) && (Y<sizeY) && (X>=0) && (Y>=0))
		frameBuffer[X * Y] = value;

}

public int GetPixel(int X, int Y){
	
	if((X<sizeX) && (Y<sizeY) && (X>=0) && (Y>=0) && (sizeY>0) && (sizeX>0))
	{
		return frameBuffer[(Y*sizeX) + X];
	}
	else
	{
		return -1;
	}
}

public int GetSize(){
	return frameBuffer.length;
}

public int GetSizeX(){
	return sizeX;
}

public int GetSizeY(){
	return sizeY;
}
}