/*
 * BlinkenApplet
 * *************
 * 
 * Main Author: Manuel Flther
 * License: GNU General Public License
 * File: Starting Applet Class: BlinkenApplet.java
 * Version: 0.1
 * Co-Author: -
 * Creation TimeDate: 2004_06_19 - 21:41
 * Last Edit TimeDate: 2004_06_22 - 16:41
 * 
 */

import java.applet.*;
import java.awt.*;
import BLFileIO.*;
import BLToolkit.*;


public class BlinkenApplet extends Applet{

private BlinkenScreen blinkDisplay;

public BlinkenApplet(){

	blinkDisplay = new BlinkenScreen(18,8,8,Color.black,Color.red);
	
	setBackground(Color.black);

	//Applet Layout
	Panel baseLayout = new Panel();
	baseLayout.setLayout(new BorderLayout());
	baseLayout.add("Center", blinkDisplay);
	
	setLayout(new GridLayout(1,2));
	add(baseLayout);
	
	BlinkenlightsMovieReader blm;
	blm = new BlinkenlightsMovieReader("test.blm");
	blm.OpenMovie();
	blm.LoadMovieToMemory();

}

}
